Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.syntax
Class TokenException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.GroovyException
                  org.codehaus.groovy.syntax.SyntaxException
                      org.codehaus.groovy.syntax.TokenException

All Implemented Interfaces:
  Serializable, GroovyExceptionInterface

Direct Known Subclasses:
  ParserException, TokenMismatchException

    public class TokenException
    extends SyntaxException

See Also:
  Serialized Form

Constructor Summary
Constructor and Description
`TokenException(String message, Throwable cause, int line, int column)`
`TokenException(String message, Token token)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`int` | `getEndColumn()`

Methods inherited from class org.codehaus.groovy.syntax.SyntaxException
`getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`

Methods inherited from class org.codehaus.groovy.GroovyException
`isFatal, setFatal`

Methods inherited from class java.lang.Throwable
`addSuppressedException, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TokenException

    public TokenException(String message,
                          Token token)

### TokenException

    public TokenException(String message,
                          Throwable cause,
                          int line,
                          int column)

Method Detail

### getEndColumn

    public int getEndColumn()

  Overrides:
    `getEndColumn` in class `SyntaxException`
  Returns:
    the end column on which the error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD